### Method

# GVnc Connection set_credential

#### Declaration [src]

    gboolean
    vnc_connection_set_credential (
      VncConnection* conn,
      int type,
      const gchar* data
    )

#### Description [src]

Sets the value of the authentication credential `type` to the string `data`.

`type` is one of the VncConnectionCredential enum values.

#### Parameters

`type`

  Type: `int`

  The authentication credential type.

`data`

  Type: `const gchar*`

  The value associated with the credential.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE if the connection is ok, FALSE if it has an error.